Skip to navigation

Override Environment

Manually sets a resource’s environment, overriding auto-classification.

You can revert to auto-classification of environment by calling Remove Environment Override for the same resource.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"

ID of the project the resource is in. You can get your project ID from the API Credentials page in your global management console.

idstringRequiredformat: "uuid"

Eon-assigned ID of the resource to override.

Request

This endpoint expects an object.
environmentenumOptional

The resource’s environment: production, internal production, or staging. ENVIRONMENT_UNSPECIFIED is supported only in responses.

Allowed values:

Response

Environment overridden.
environmentenumOptional

The resource’s environment: production, internal production, or staging. ENVIRONMENT_UNSPECIFIED is supported only in responses.

Allowed values:

Errors

404
Not Found Error